%define oname kiwi
%define srcname kiwi-gtk
%define debug_package %{nil}

Name:          python-kiwi
Version:       1.9.40
Release:       %mkrel 3
Summary:       A framework and a set of enhanced widgets based on PyGTK

Group:         Development/Python
License:       LGPLv2+
URL:           http://www.async.com.br/projects/kiwi/
Source0:       https://pypi.python.org/packages/source/k/%{srcname}/%{srcname}-%{version}.tar.gz
BuildRequires: pkgconfig(pygtk-2.0)
BuildRequires: pythonegg(2)(setuptools) 
Requires:      pygtk2.0-libglade

%description
kiwi offers a set of enhanced widgets for
Python based on PyGTK. It also includes a framework designed to make
creating Python applications using PyGTK and libglade much
simpler.

%package docs
Group: Development/Python
Summary: Documentation related to python-kiwi
Requires: %{name} = %{version}-%{release}
BuildArch: noarch
	
%description docs
This package contains documentation that contains APIs and related materials,
useful for reference when writing software using Kiwi.

%prep
%autosetup -n %{srcname}-%{version}
sed -i -e 's|share/doc/kiwi|share/doc/%{name}-%{version}|' setup.py 

%build
%py2_build

%install
%py2_install
rm -rf %{buildroot}%{_defaultdocdir}
%if %_lib != lib
mkdir -p %{buildroot}%{_libdir}
mv %{buildroot}%{_prefix}/lib/glade3 %{buildroot}%{_libdir}
%endif

%find_lang %oname

%files -f %oname.lang
%doc AUTHORS COPYING README
%{_bindir}/*
%{python2_sitelib}/*.egg-info
#gw this dir is arch-dependant:
%{_libdir}/glade3/*
%{_datadir}/glade3/*
%{python2_sitelib}/kiwi

%files docs
%doc COPYING doc/* examples
	



%changelog
* Tue Feb 16 2016 umeabot <umeabot> 1.9.40-3.mga6
+ Revision: 962227
- Mageia 6 Mass Rebuild

* Sun Sep 20 2015 philippem <philippem> 1.9.40-2.mga6
+ Revision: 881939
- set doc as noarch

* Thu Sep 17 2015 philippem <philippem> 1.9.40-1.mga6
+ Revision: 880235
- update to 1.9.40, take care of empty debug

* Wed Oct 15 2014 umeabot <umeabot> 1.9.38-7.mga5
+ Revision: 742606
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.9.38-6.mga5
+ Revision: 728944
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.9.38-5.mga5
+ Revision: 688113
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.9.38-3.mga4
+ Revision: 543741
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.9.38-2.mga4
+ Revision: 498833
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Aug 25 2013 philippem <philippem> 1.9.38-1.mga4
+ Revision: 471729
- update to 1.9.38

* Sun Jan 13 2013 umeabot <umeabot> 1.9.29-2.mga3
+ Revision: 379039
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 26 2011 philippem <philippem> 1.9.29-1.mga2
+ Revision: 158318
- silent cleaning
- no more noarch for glade3 module
- new upstream 1.9.29

* Wed Apr 13 2011 ennael <ennael> 1.9.27-2.mga1
+ Revision: 84055
- clean spec file
- imported package python-kiwi


* Wed Apr 06 2011 Leonardo Coelho <leonardoc@mandriva.com> 1.9.27-2mdv2011.0
+ Revision: 651280
- Update to version 1.9.27

* Wed Nov 03 2010 Götz Waschk <waschk@mandriva.org> 1.9.26-2mdv2011.0
+ Revision: 592832
- rebuild for new python 2.7

* Wed Jul 15 2009 Götz Waschk <waschk@mandriva.org> 1.9.26-1mdv2011.0
+ Revision: 396180
- new version
- update file list

* Fri Apr 24 2009 Götz Waschk <waschk@mandriva.org> 1.9.25-1mdv2010.0
+ Revision: 368992
- new version

* Wed Jan 28 2009 Götz Waschk <waschk@mandriva.org> 1.9.24-1mdv2009.1
+ Revision: 334931
- update to new version 1.9.24

* Sun Dec 28 2008 Götz Waschk <waschk@mandriva.org> 1.9.23-2mdv2009.1
+ Revision: 320621
- rebuild for new python

* Thu Sep 11 2008 Götz Waschk <waschk@mandriva.org> 1.9.23-1mdv2009.0
+ Revision: 283850
- new version

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 1.9.22-2mdv2009.0
+ Revision: 269031
- rebuild early 2009.0 package (before pixel changes)

* Mon Jun 02 2008 Götz Waschk <waschk@mandriva.org> 1.9.22-1mdv2009.0
+ Revision: 214372
- new version

* Tue Apr 08 2008 Götz Waschk <waschk@mandriva.org> 1.9.21-1mdv2009.0
+ Revision: 192412
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - fix spacing at top of description

* Thu Jan 31 2008 Götz Waschk <waschk@mandriva.org> 1.9.20-1mdv2008.1
+ Revision: 160769
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Nov 09 2007 Götz Waschk <waschk@mandriva.org> 1.9.19-1mdv2008.1
+ Revision: 107180
- new version

* Sat Sep 15 2007 Götz Waschk <waschk@mandriva.org> 1.9.18-1mdv2008.0
+ Revision: 85941
- new version

* Thu Aug 30 2007 Götz Waschk <waschk@mandriva.org> 1.9.17-1mdv2008.0
+ Revision: 75141
- new version

* Mon Jul 16 2007 Götz Waschk <waschk@mandriva.org> 1.9.16-1mdv2008.0
+ Revision: 52578
- new version

* Wed May 23 2007 Götz Waschk <waschk@mandriva.org> 1.9.15-1mdv2008.0
+ Revision: 30144
- new version


* Thu Feb 01 2007 Götz Waschk <waschk@mandriva.org> 1.9.13-1mdv2007.1
+ Revision: 115833
- new version

* Mon Jan 29 2007 Götz Waschk <waschk@mandriva.org> 1.9.12-1mdv2007.1
+ Revision: 115207
- new version

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 1.9.11-2mdv2007.1
+ Revision: 88215
- update file list
- Import python-kiwi

* Tue Oct 10 2006 Götz Waschk <waschk@mandriva.org> 1.9.11-1mdv2007.1
- New version 1.9.11

* Sat Sep 16 2006 Götz Waschk <waschk@mandriva.org> 1.9.10-1mdv2007.0
- New version 1.9.10

* Sat Aug 26 2006 Götz Waschk <waschk@mandriva.org> 1.9.9-1mdv2007.0
- update file list
- new source URL
- New release 1.9.9

* Fri Jul 21 2006 Götz Waschk <waschk@mandriva.org> 1.9.8-1mdv2007.0
- Rebuild

* Sat May 06 2006 Götz Waschk <waschk@mandriva.org> 1.9.8-2mdk
- fix buildrequires

* Fri May 05 2006 Götz Waschk <waschk@mandriva.org> 1.9.8-1mdk
- initial package

